cURL
curl --request PATCH \
--url https://platform.thena.ai/v1/emojis/actions/{teamId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"action": "create_ticket",
"emojis": [
"white_check_mark"
]
}
'import requests
url = "https://platform.thena.ai/v1/emojis/actions/{teamId}"
payload = {
"action": "create_ticket",
"emojis": ["white_check_mark"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'create_ticket', emojis: ['white_check_mark']})
};
fetch('https://platform.thena.ai/v1/emojis/actions/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "Team ID is required",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "This feature is only available for standard and enterprise tier organizations",
"error": "Forbidden"
}{
"statusCode": 500,
"message": "Failed to update emoji action",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "Service Unavailable",
"error": "Service Unavailable"
}Emoji actions
Update an emoji action
Update multiple emoji actions for a team. This endpoint is only available for standard and enterprise tier organizations.
PATCH
/
v1
/
emojis
/
actions
/
{teamId}
cURL
Authorizations
Enter your API key
Path Parameters
Body
application/json
Response
Team ID is required
⌘I